<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<parent>
		<artifactId>ov-commons</artifactId>
		<groupId>com.scytl.products.ov.channel.commons</groupId>
		<version>2.1.7</version>
	</parent>
	<modelVersion>4.0.0</modelVersion>

  <artifactId>ov-commons-dto</artifactId>
  <packaging>jar</packaging>

  <name>Online Voting - Commons - DTO</name>

  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
  </properties>

  <dependencies>
    <dependency>
      <groupId>com.scytl.cryptolib</groupId>
      <artifactId>cryptolib-api-elgamal</artifactId>
      <version>${cryptolib.version}</version>
    </dependency>
    <dependency>
      <groupId>com.scytl.cryptolib</groupId>
      <artifactId>cryptolib-asymmetric</artifactId>
      <version>${cryptolib.version}</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>com.scytl.cryptolib</groupId>
      <artifactId>cryptolib-certificates</artifactId>
      <version>${cryptolib.version}</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>com.scytl.products.ov.channel.commons</groupId>
      <artifactId>ov-commons-beans</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>com.scytl.products.ov.channel.commons</groupId>
      <artifactId>libs-config</artifactId>
      <version>${project.version}</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.bouncycastle</groupId>
      <artifactId>bcprov-jdk15on</artifactId>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.msgpack</groupId>
      <artifactId>msgpack-core</artifactId>
      <version>0.8.16</version>
      <type>jar</type>
    </dependency>
  </dependencies>

  <build>
    <plugins>
      <plugin>
        <!-- Test classes in separate JAR for reuse in other modules -->
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-jar-plugin</artifactId>
        <version>2.6</version>
        <executions>
          <execution>
            <goals>
              <goal>test-jar</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>

</project>
